-- ------------------------------------------------------------------------------
--  Author: Jamel Cato
--  Url: http://cato.io/us-states
--  License: MIT. No Warranty. Use at your own risk.
-- -------------------------------------------------------------------------------

CREATE TABLE IF NOT EXISTS `states` (
  `USPS_CODE` varchar(2) DEFAULT NULL,
  `ALL_CAPS` varchar(24) DEFAULT NULL,
  `ALL_CAPS_NO_SPACES` varchar(24) DEFAULT NULL,
  `CODE_WITH_FULL_NAME` varchar(29) DEFAULT NULL,
  `PROPER_CAPS` varchar(24) DEFAULT NULL,
  `LOWERCASE` varchar(24) DEFAULT NULL,
  `LOWERCASE_NO_SPACES` varchar(24) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


INSERT INTO `states` (`USPS_CODE`, `ALL_CAPS`, `ALL_CAPS_NO_SPACES`, `CODE_WITH_FULL_NAME`, `PROPER_CAPS`, `LOWERCASE`, `LOWERCASE_NO_SPACES`) VALUES
('AL', 'ALABAMA', 'ALABAMA', 'AL - ALABAMA', 'Alabama', 'alabama', 'alabama'),
('AK', 'ALASKA', 'ALASKA', 'AK - ALASKA', 'Alaska', 'alaska', 'alaska'),
('AZ', 'ARIZONA', 'ARIZONA', 'AZ - ARIZONA', 'Arizona', 'arizona', 'arizona'),
('AR', 'ARKANSAS', 'ARKANSAS', 'AR - ARKANSAS', 'Arkansas', 'arkansas', 'arkansas'),
('CA', 'CALIFORNIA', 'CALIFORNIA', 'CA - CALIFORNIA', 'California', 'california', 'california'),
('CO', 'COLORADO', 'COLORADO', 'CO - COLORADO', 'Colorado', 'colorado', 'colorado'),
('CT', 'CONNECTICUT', 'CONNECTICUT', 'CT - CONNECTICUT', 'Connecticut', 'connecticut', 'connecticut'),
('DE', 'DELAWARE', 'DELAWARE', 'DE - DELAWARE', 'Delaware', 'delaware', 'delaware'),
('FL', 'FLORIDA', 'FLORIDA', 'FL - FLORIDA', 'Florida', 'florida', 'florida'),
('GA', 'GEORGIA', 'GEORGIA', 'GA - GEORGIA', 'Georgia', 'georgia', 'georgia'),
('HI', 'HAWAII', 'HAWAII', 'HI - HAWAII', 'Hawaii', 'hawaii', 'hawaii'),
('ID', 'IDAHO', 'IDAHO', 'ID - IDAHO', 'Idaho', 'idaho', 'idaho'),
('IL', 'ILLINOIS', 'ILLINOIS', 'IL - ILLINOIS', 'Illinois', 'illinois', 'illinois'),
('IN', 'INDIANA', 'INDIANA', 'IN - INDIANA', 'Indiana', 'indiana', 'indiana'),
('IA', 'IOWA', 'IOWA', 'IA - IOWA', 'Iowa', 'iowa', 'iowa'),
('KS', 'KANSAS', 'KANSAS', 'KS - KANSAS', 'Kansas', 'kansas', 'kansas'),
('KY', 'KENTUCKY', 'KENTUCKY', 'KY - KENTUCKY', 'Kentucky', 'kentucky', 'kentucky'),
('LA', 'LOUISIANA', 'LOUISIANA', 'LA - LOUISIANA', 'Louisiana', 'louisiana', 'louisiana'),
('ME', 'MAINE', 'MAINE', 'ME - MAINE', 'Maine', 'maine', 'maine'),
('MD', 'MARYLAND', 'MARYLAND', 'MD - MARYLAND', 'Maryland', 'maryland', 'maryland'),
('MA', 'MASSACHUSETTS', 'MASSACHUSETTS', 'MA - MASSACHUSETTS', 'Massachusetts', 'massachusetts', 'massachusetts'),
('MI', 'MICHIGAN', 'MICHIGAN', 'MI - MICHIGAN', 'Michigan', 'michigan', 'michigan'),
('MN', 'MINNESOTA', 'MINNESOTA', 'MN - MINNESOTA', 'Minnesota', 'minnesota', 'minnesota'),
('MS', 'MISSISSIPPI', 'MISSISSIPPI', 'MS - MISSISSIPPI', 'Mississippi', 'mississippi', 'mississippi'),
('MO', 'MISSOURI', 'MISSOURI', 'MO - MISSOURI', 'Missouri', 'missouri', 'missouri'),
('MT', 'MONTANA', 'MONTANA', 'MT - MONTANA', 'Montana', 'montana', 'montana'),
('NE', 'NEBRASKA', 'NEBRASKA', 'NE - NEBRASKA', 'Nebraska', 'nebraska', 'nebraska'),
('NV', 'NEVADA', 'NEVADA', 'NV - NEVADA', 'Nevada', 'nevada', 'nevada'),
('NH', 'NEW HAMPSHIRE', 'NEW_HAMPSHIRE', 'NH - NEW HAMPSHIRE', 'New Hampshire', 'new hampshire', 'new_hampshire'),
('NJ', 'NEW JERSEY', 'NEW_JERSEY', 'NJ - NEW JERSEY', 'New Jersey', 'new jersey', 'new_jersey'),
('NM', 'NEW MEXICO', 'NEW_MEXICO', 'NM - NEW MEXICO', 'New Mexico', 'new mexico', 'new_mexico'),
('NY', 'NEW YORK', 'NEW_YORK', 'NY - NEW YORK', 'New York', 'new york', 'new_york'),
('NC', 'NORTH CAROLINA', 'NORTH_CAROLINA', 'NC - NORTH CAROLINA', 'North Carolina', 'north carolina', 'north_carolina'),
('ND', 'NORTH DAKOTA', 'NORTH_DAKOTA', 'ND - NORTH DAKOTA', 'North Dakota', 'north dakota', 'north_dakota'),
('OH', 'OHIO', 'OHIO', 'OH - OHIO', 'Ohio', 'ohio', 'ohio'),
('OK', 'OKLAHOMA', 'OKLAHOMA', 'OK - OKLAHOMA', 'Oklahoma', 'oklahoma', 'oklahoma'),
('OR', 'OREGON', 'OREGON', 'OR - OREGON', 'Oregon', 'oregon', 'oregon'),
('PA', 'PENNSYLVANIA', 'PENNSYLVANIA', 'PA - PENNSYLVANIA', 'Pennsylvania', 'pennsylvania', 'pennsylvania'),
('RI', 'RHODE ISLAND', 'RHODE_ISLAND', 'RI - RHODE ISLAND', 'Rhode Island', 'rhode island', 'rhode_island'),
('SC', 'SOUTH CAROLINA', 'SOUTH_CAROLINA', 'SC - SOUTH CAROLINA', 'South Carolina', 'south carolina', 'south_carolina'),
('SD', 'SOUTH DAKOTA', 'SOUTH_DAKOTA', 'SD - SOUTH DAKOTA', 'South Dakota', 'south dakota', 'south_dakota'),
('TN', 'TENNESSEE', 'TENNESSEE', 'TN - TENNESSEE', 'Tennessee', 'tennessee', 'tennessee'),
('TX', 'TEXAS', 'TEXAS', 'TX - TEXAS', 'Texas', 'texas', 'texas'),
('UT', 'UTAH', 'UTAH', 'UT - UTAH', 'Utah', 'utah', 'utah'),
('VT', 'VERMONT', 'VERMONT', 'VT - VERMONT', 'Vermont', 'vermont', 'vermont'),
('VA', 'VIRGINIA', 'VIRGINIA', 'VA - VIRGINIA', 'Virginia', 'virginia', 'virginia'),
('WA', 'WASHINGTON', 'WASHINGTON', 'WA - WASHINGTON', 'Washington', 'washington', 'washington'),
('WV', 'WEST VIRGINIA', 'WEST_VIRGINIA', 'WV - WEST VIRGINIA', 'West Virginia', 'west virginia', 'west_virginia'),
('WI', 'WISCONSIN', 'WISCONSIN', 'WI - WISCONSIN', 'Wisconsin', 'wisconsin', 'wisconsin'),
('WY', 'WYOMING', 'WYOMING', 'WY - WYOMING', 'Wyoming', 'wyoming', 'wyoming'),
('AS', 'AMERICAN SAMOA', 'AMERICAN_SAMOA', 'AS - AMERICAN SAMOA', 'American Samoa', 'american samoa', 'american_samoa'),
('GU', 'GUAM', 'GUAM', 'GU - GUAM', 'Guam', 'guam', 'guam'),
('MP', 'NORTHERN MARIANA ISLANDS', 'NORTHERN_MARIANA_ISLANDS', 'MP - NORTHERN MARIANA ISLANDS', 'Northern Mariana Islands', 'northern mariana islands', 'northern_mariana_islands'),
('PR', 'PUERTO RICO', 'PUERTO_RICO', 'PR - PUERTO RICO', 'Puerto Rico', 'puerto rico', 'puerto_rico'),
('VI', 'VIRGIN ISLANDS', 'VIRGIN_ISLANDS', 'VI - VIRGIN ISLANDS', 'Virgin Islands', 'virgin islands', 'virgin_islands'),
('AA', 'ARMED FORCES AMERICAS', 'ARMED_FORCES_AMERICAS', 'AA - ARMED FORCES AMERICAS', 'Armed Forces Americas', 'armed forces americas', 'armed_forces_americas'),
('AE', 'ARMED FORCES EUROPE', 'ARMED_FORCES_EUROPE', 'AE - ARMED FORCES EUROPE', 'Armed Forces Europe', 'armed forces europe', 'armed_forces_europe'),
('AP', 'ARMED FORCES PACIFIC', 'ARMED_FORCES_PACIFIC', 'AP - ARMED FORCES PACIFIC', 'Armed Forces Pacific', 'armed forces pacific', 'armed_forces_pacific'),
('DC', 'DISTRICT OF COLUMBIA', 'DISTRICT_OF_COLUMBIA', 'DC - DISTRICT OF COLUMBIA', 'District Of Columbia', 'district of columbia', 'district_of_columbia');